﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\PDM_constraint.sql **/
 EXEC P_ALTERPK 'PK_PDM_CHARARULE', 'T_PDM_CHARARULE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PDM_CHARLE_FNUMBER') CREATE INDEX IDX_PDM_CHARLE_FNUMBER ON T_PDM_CHARARULE ( FNUMBER );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PDM_CHARLE_FCREATETIME') CREATE INDEX IDX_PDM_CHARLE_FCREATETIME ON T_PDM_CHARARULE ( FCREATETIME );


 EXEC P_ALTERPK 'PK_PDM_CHARARULE_L', 'T_PDM_CHARARULE_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PDM_CHARLEL_FID') CREATE INDEX IDX_PDM_CHARLEL_FID ON T_PDM_CHARARULE_L ( FID ,FLOCALEID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PDM_CHARLEL_FNAME') CREATE INDEX IDX_PDM_CHARLEL_FNAME ON T_PDM_CHARARULE_L ( FNAME );


 EXEC P_ALTERPK 'PK_PDM_CHARARULEGRP', 'T_PDM_CHARARULEGRP', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PDM_CHARRP_FNUMBER') CREATE INDEX IDX_PDM_CHARRP_FNUMBER ON T_PDM_CHARARULEGRP ( FNUMBER );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PDM_CHARRP_FCREATETIME') CREATE INDEX IDX_PDM_CHARRP_FCREATETIME ON T_PDM_CHARARULEGRP ( FCREATETIME );


 EXEC P_ALTERPK 'PK_PDM_CHARARULEGRP_L', 'T_PDM_CHARARULEGRP_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PDM_CHARRPL_FID') CREATE INDEX IDX_PDM_CHARRPL_FID ON T_PDM_CHARARULEGRP_L ( FID ,FLOCALEID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PDM_CHARRPL_FNAME') CREATE INDEX IDX_PDM_CHARRPL_FNAME ON T_PDM_CHARARULEGRP_L ( FNAME );



 EXEC P_ALTERPK 'PK_PDM_FEATUREINFO', 'T_PDM_FEATUREINFO', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PDM_FEATFO_FID') CREATE INDEX IDX_PDM_FEATFO_FID ON T_PDM_FEATUREINFO ( FID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PDM_FEATFO_FSEQ') CREATE INDEX IDX_PDM_FEATFO_FSEQ ON T_PDM_FEATUREINFO ( FSEQ );


 EXEC P_ALTERPK 'PK_PDM_FEATURERULE', 'T_PDM_FEATURERULE', 'FDETAILID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PDM_FEATLE_FENTRYID') CREATE INDEX IDX_PDM_FEATLE_FENTRYID ON T_PDM_FEATURERULE ( FENTRYID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PDM_FEATLE_FSEQ') CREATE INDEX IDX_PDM_FEATLE_FSEQ ON T_PDM_FEATURERULE ( FSEQ );


 EXEC P_ALTERPK 'PK_PDM_SUPERBOMCHRULENTRY', 'T_PDM_SUPERBOMCHRULENTRY', 'FDETAILID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PDM_SUPERYCHRUL_FENTRYID') CREATE INDEX IDX_PDM_SUPERYCHRUL_FENTRYID ON T_PDM_SUPERBOMCHRULENTRY ( FENTRYID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PDM_SUPERYCHRUL_FSEQ') CREATE INDEX IDX_PDM_SUPERYCHRUL_FSEQ ON T_PDM_SUPERBOMCHRULENTRY ( FSEQ );


 EXEC P_ALTERPK 'PK_PDM_FEATUREDEFGROUP', 'T_PDM_FEATUREDEFGROUP', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PDM_FEATUP_FNUMBER') CREATE INDEX IDX_PDM_FEATUP_FNUMBER ON T_PDM_FEATUREDEFGROUP ( FNUMBER );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PDM_FEATUP_FCREATETIME') CREATE INDEX IDX_PDM_FEATUP_FCREATETIME ON T_PDM_FEATUREDEFGROUP ( FCREATETIME );


 EXEC P_ALTERPK 'PK_PDM_FEATUREDEFGROUP_L', 'T_PDM_FEATUREDEFGROUP_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PDM_FEATUPL_FID') CREATE INDEX IDX_PDM_FEATUPL_FID ON T_PDM_FEATUREDEFGROUP_L ( FID ,FLOCALEID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PDM_FEATUPL_FNAME') CREATE INDEX IDX_PDM_FEATUPL_FNAME ON T_PDM_FEATUREDEFGROUP_L ( FNAME );



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\PDM_constraint.sql **/
