﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\PDM_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PDM_CHARARULE') 
 CREATE TABLE T_PDM_CHARARULE (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(30) DEFAULT '''' NOT NULL,
FSTATUS NVARCHAR(1) DEFAULT 'A' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE NVARCHAR(1) DEFAULT '1' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FRULEGROUPID BIGINT DEFAULT 0 NOT NULL,
FCLASSIFY NVARCHAR(5) DEFAULT 'A' NOT NULL,
FTYPE NVARCHAR(5) DEFAULT '1' NOT NULL,
FFORMULAALIAS NVARCHAR(2000) DEFAULT '''' NOT NULL,
FFORMULA NVARCHAR(2000) DEFAULT '''' NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FDISABLEUSERID BIGINT DEFAULT 0 NOT NULL,
FENABLEDATE DATETIME,
FDISABLEDATE DATETIME,
FENABLEUSERID BIGINT DEFAULT 0 NOT NULL,
FAUDITTIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PDM_CHARARULE_L') 
 CREATE TABLE T_PDM_CHARARULE_L (
FPKID NVARCHAR(255) DEFAULT '''' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID NVARCHAR(255) DEFAULT '''' NOT NULL,
FNAME NVARCHAR(50) DEFAULT '''' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PDM_CHARARULEGRP') 
 CREATE TABLE T_PDM_CHARARULEGRP (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(30) DEFAULT '''' NOT NULL,
FSTATUS NVARCHAR(1) DEFAULT 'C' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE NVARCHAR(1) DEFAULT '1' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FLONGNUMBER NVARCHAR(50) DEFAULT '''' NOT NULL,
FLEVEL INT DEFAULT 0 NOT NULL,
FISLEAF CHAR(1) DEFAULT '1' NOT NULL,
FPARENTID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PDM_CHARARULEGRP_L') 
 CREATE TABLE T_PDM_CHARARULEGRP_L (
FPKID NVARCHAR(255) DEFAULT '''' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID NVARCHAR(255) DEFAULT '''' NOT NULL,
FNAME NVARCHAR(50) DEFAULT '''' NOT NULL,
FFULLNAME NVARCHAR(50) DEFAULT '''' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PDM_FEATUREINFO') 
 CREATE TABLE T_PDM_FEATUREINFO (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FFEATUREID BIGINT DEFAULT 0 NOT NULL,
FFEATURERULEID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PDM_FEATURERULE') 
 CREATE TABLE T_PDM_FEATURERULE (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FFEATURERULEID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PDM_SUPERBOMCHRULENTRY') 
 CREATE TABLE T_PDM_SUPERBOMCHRULENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FCHARARULEID BIGINT DEFAULT 0 NOT NULL
);


 EXEC p_AlterColumn 'T_PDM_CONFIGURELIST', 'FSRCENTITYID', 'NVARCHAR(50)', 'NOT NULL', '1111', '''''''''';

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PDM_CONFIGURELIST' AND KSQL_COL_NAME ='FSRCENTRYENTITY') 
 ALTER TABLE T_PDM_CONFIGURELIST ADD (FSRCENTRYENTITY NVARCHAR(50) DEFAULT '''' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PDM_PROCONFIGSCHEME' AND KSQL_COL_NAME ='FMATERIELID') 
 ALTER TABLE T_PDM_PROCONFIGSCHEME ADD (FMATERIELID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PDM_PROCONFIGSCHEME' AND KSQL_COL_NAME ='FORDERBOMID') 
 ALTER TABLE T_PDM_PROCONFIGSCHEME ADD (FORDERBOMID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PDM_PROCONFIGSCHEME' AND KSQL_COL_NAME ='FAUDITORID') 
 ALTER TABLE T_PDM_PROCONFIGSCHEME ADD (FAUDITORID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PDM_PROCONFIGSCHEME' AND KSQL_COL_NAME ='FAUDITTIME') 
 ALTER TABLE T_PDM_PROCONFIGSCHEME ADD (FAUDITTIME DATETIME );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PDM_PROCONFIGSCHEME' AND KSQL_COL_NAME ='FENABLETORID') 
 ALTER TABLE T_PDM_PROCONFIGSCHEME ADD (FENABLETORID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PDM_PROCONFIGSCHEME' AND KSQL_COL_NAME ='FENABLETIME') 
 ALTER TABLE T_PDM_PROCONFIGSCHEME ADD (FENABLETIME DATETIME );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PDM_PROCONFIGSCHEME' AND KSQL_COL_NAME ='FDISABLETORID') 
 ALTER TABLE T_PDM_PROCONFIGSCHEME ADD (FDISABLETORID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PDM_PROCONFIGSCHEME' AND KSQL_COL_NAME ='FDISABLETIME') 
 ALTER TABLE T_PDM_PROCONFIGSCHEME ADD (FDISABLETIME DATETIME );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PDM_SUPERBOM' AND KSQL_COL_NAME ='FUNITID') 
 ALTER TABLE T_PDM_SUPERBOM ADD (FUNITID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PDM_SUPERBOMENTRY' AND KSQL_COL_NAME ='FENTRYSEQ') 
 ALTER TABLE T_PDM_SUPERBOMENTRY ADD (FENTRYSEQ INT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PDM_FEATUREDEFGROUP') 
 CREATE TABLE T_PDM_FEATUREDEFGROUP (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(30) DEFAULT '''' NOT NULL,
FSTATUS NVARCHAR(1) DEFAULT 'A' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE NVARCHAR(1) DEFAULT '1' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FLONGNUMBER NVARCHAR(50) DEFAULT '''' NOT NULL,
FLEVEL INT DEFAULT 0 NOT NULL,
FISLEAF CHAR(1) DEFAULT '1' NOT NULL,
FPARENTID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PDM_FEATUREDEFGROUP_L') 
 CREATE TABLE T_PDM_FEATUREDEFGROUP_L (
FPKID NVARCHAR(255) DEFAULT '''' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID NVARCHAR(255) DEFAULT '''' NOT NULL,
FNAME NVARCHAR(50) DEFAULT '''' NOT NULL,
FFULLNAME NVARCHAR(50) DEFAULT '''' NOT NULL
);



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\PDM_table.sql **/
