﻿
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PDM_ECNASSESS') 
 CREATE TABLE T_PDM_ECNASSESS (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO VARCHAR(80) DEFAULT ' ' NOT NULL,
FBILLSTATUS VARCHAR(5) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FORGID BIGINT DEFAULT 0 NOT NULL,
FBOMID BIGINT DEFAULT 0 NOT NULL,
FMRPID BIGINT DEFAULT 0 NOT NULL,
FMATERIAL BIGINT DEFAULT 0 NOT NULL,
FECNNO VARCHAR(80) DEFAULT ' ' NOT NULL,
FEXECDATE DATETIME,
FFINDATE DATETIME,
FQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FUNIT BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PDM_ECNASSESSEXEC') 
 CREATE TABLE T_PDM_ECNASSESSEXEC (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(80) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FSTATUS VARCHAR(5) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE VARCHAR(5) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FCREATEORGID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FCTRLSTRATEGY VARCHAR(30) DEFAULT ' ' NOT NULL,
FSOURCEDATAID BIGINT DEFAULT 0 NOT NULL,
FBITINDEX BIGINT DEFAULT 0 NOT NULL,
FSOURCEBITINDEX BIGINT DEFAULT 0 NOT NULL,
FCALCULATEPRO DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSTIME DATETIME,
FETIME DATETIME,
FSUMMIN DECIMAL(23,10) DEFAULT 0 NOT NULL,
FJOBID VARCHAR(50) DEFAULT ' ' NOT NULL,
FPLANID VARCHAR(50) DEFAULT ' ' NOT NULL,
FPROGRAMID BIGINT DEFAULT 0 NOT NULL,
FSOURCEID BIGINT DEFAULT 0 NOT NULL,
FEXECSTATUS VARCHAR(5) DEFAULT ' ' NOT NULL,
FACCSTATUS VARCHAR(5) DEFAULT ' ' NOT NULL,
FBUSSID BIGINT DEFAULT 0 NOT NULL,
FMRPLOGID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PDM_ECNASSESSEXEC_L') 
 CREATE TABLE T_PDM_ECNASSESSEXEC_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(50) DEFAULT ' ' NOT NULL,
FNAME VARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PDM_ECNASSEXECENTRY') 
 CREATE TABLE T_PDM_ECNASSEXECENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FSTEPSEQ NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSTEPNAME NVARCHAR(200) DEFAULT ' ' NOT NULL,
FPROCESSDATA BIGINT DEFAULT 0 NOT NULL,
FOPERATMIN DECIMAL(23,10) DEFAULT 0 NOT NULL,
FRESULT NVARCHAR(200) DEFAULT ' ' NOT NULL,
FDETAILMSG NVARCHAR(1000) DEFAULT ' ' NOT NULL
);
